﻿    &nbsp;&nbsp;&nbsp;<b>@Html.ActionLink("Retour", "IndexFormationUser")</b>
    <br />
    <br />
    <h2>Calendrier des quiz</h2>
    <link href="//cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.4.0/fullcalendar.min.css" rel="stylesheet" />
    <link href="//cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.4.0/fullcalendar.print.css" rel="stylesheet" media="print" />
    <div id="calender"></div>


    @section scripts{
        <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.4.0/fullcalendar.min.js"></script>

        <script>
            $(document).ready(function () {
                var events = [];
                $.ajax({
                    type: "GET",
                    url: "/Quizz/IndexEvent",
                    success: function (data) {
                        $.each(data, function (i, v) {
                            events.push({
                                title: v.QuizName,
                                description: v.QuizName,
                                start: moment(v.DateQuizStart),
                                color: v.Color

                            });
                        })

                        GenerateCalender(events);
                    },
                    error: function (error) {
                        alert('failed');
                    }
                })

                function GenerateCalender(events) {
                    $('#calender').fullCalendar('destroy');
                    $('#calender').fullCalendar({
                        contentHeight: 400,
                        defaultDate: new Date(),
                        timeFormat: 'h(:mm)a',
                        header: {
                            left: 'prev,next today',
                            center: 'title',
                            right: 'month,basicWeek,basicDay,agenda'
                        },
                        eventLimit: true,
                        eventColor: '#378006',
                        events: events
                    })
                }
            })
        </script>
    }

